Bug 1459044 - [abrt] remmina: pango_glyph_item_iter_next_cluster(): remmina killed by SIGABRT
[abrt] remmina: pango_glyph_item_iter_next_cluster(): remmina killed by SIGABRT
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:80e614fc0c0575618ffa3ce0e44...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 03:40 EDT by Marco Kundt
Modified: 2017-07-07 18:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: remmina-1.2.0-0.37.20170622git7e82138.fc25 remmina-1.2.0-0.37.20170622git7e82138.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-05 22:22:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (68.44 KB, text/plain)
2017-06-06 03:40 EDT, Marco Kundt
no flags Details
File: cgroup (242 bytes, text/plain)
2017-06-06 03:40 EDT, Marco Kundt
no flags Details
File: core_backtrace (22.27 KB, text/plain)
2017-06-06 03:40 EDT, Marco Kundt
no flags Details
File: dso_list (13.57 KB, text/plain)
2017-06-06 03:40 EDT, Marco Kundt
no flags Details
File: environ (1.98 KB, text/plain)
2017-06-06 03:40 EDT, Marco Kundt
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-06 03:40 EDT, Marco Kundt
no flags Details
File: maps (75.63 KB, text/plain)
2017-06-06 03:40 EDT, Marco Kundt
no flags Details
File: mountinfo (3.82 KB, text/plain)
2017-06-06 03:40 EDT, Marco Kundt
no flags Details
File: namespaces (102 bytes, text/plain)
2017-06-06 03:40 EDT, Marco Kundt
no flags Details
File: open_fds (2.08 KB, text/plain)
2017-06-06 03:40 EDT, Marco Kundt
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-06-06 03:40 EDT, Marco Kundt
no flags Details
File: var_log_messages (2.69 KB, text/plain)
2017-06-06 03:40 EDT, Marco Kundt
no flags Details

  None (edit)
Description Marco Kundt 2017-06-06 03:40:27 EDT
Description of problem:
I tried to login to a RDP connection, typed in the wrong password and it crashed.

Version-Release number of selected component:
remmina-1.2.0-0.35.20170510git41c8de6.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/remmina
crash_function: pango_glyph_item_iter_next_cluster
executable:     /usr/bin/remmina
global_pid:     8290
kernel:         4.10.17-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 pango_glyph_item_iter_next_cluster at pango-glyph-item.c:319
 #5 pango_glyph_item_iter_init_start at pango-glyph-item.c:453
 #6 find_initial_span at ellipsize.c:517
 #7 _pango_layout_line_ellipsize at ellipsize.c:742
 #8 pango_layout_line_postprocess at pango-layout.c:5447
 #9 process_line at pango-layout.c:3770
 #10 pango_layout_check_lines at pango-layout.c:4040
 #11 pango_layout_get_extents_internal at pango-layout.c:2594
 #12 pango_layout_get_extents at pango-layout.c:2789
 #13 gtk_label_get_measuring_layout at gtklabel.c:3370
Comment 1 Marco Kundt 2017-06-06 03:40:33 EDT
Created attachment 1285254 [details]
File: backtrace
Comment 2 Marco Kundt 2017-06-06 03:40:34 EDT
Created attachment 1285255 [details]
File: cgroup
Comment 3 Marco Kundt 2017-06-06 03:40:36 EDT
Created attachment 1285256 [details]
File: core_backtrace
Comment 4 Marco Kundt 2017-06-06 03:40:38 EDT
Created attachment 1285257 [details]
File: dso_list
Comment 5 Marco Kundt 2017-06-06 03:40:40 EDT
Created attachment 1285258 [details]
File: environ
Comment 6 Marco Kundt 2017-06-06 03:40:41 EDT
Created attachment 1285259 [details]
File: limits
Comment 7 Marco Kundt 2017-06-06 03:40:44 EDT
Created attachment 1285260 [details]
File: maps
Comment 8 Marco Kundt 2017-06-06 03:40:45 EDT
Created attachment 1285261 [details]
File: mountinfo
Comment 9 Marco Kundt 2017-06-06 03:40:47 EDT
Created attachment 1285262 [details]
File: namespaces
Comment 10 Marco Kundt 2017-06-06 03:40:51 EDT
Created attachment 1285263 [details]
File: open_fds
Comment 11 Marco Kundt 2017-06-06 03:40:53 EDT
Created attachment 1285264 [details]
File: proc_pid_status
Comment 12 Marco Kundt 2017-06-06 03:40:54 EDT
Created attachment 1285265 [details]
File: var_log_messages
Comment 13 Fedora Update System 2017-06-26 07:44:18 EDT
remmina-1.2.0-0.37.20170622git7e82138.fc25 freerdp-2.0.0-28.20170623git9904c32.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-223a6c0fe3
Comment 14 Fedora Update System 2017-06-26 07:44:56 EDT
remmina-1.2.0-0.37.20170622git7e82138.fc26 freerdp-2.0.0-28.20170623git9904c32.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-294ac891a3
Comment 15 Fedora Update System 2017-06-26 23:23:35 EDT
freerdp-2.0.0-28.20170623git9904c32.fc25, remmina-1.2.0-0.37.20170622git7e82138.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-223a6c0fe3
Comment 16 Fedora Update System 2017-06-27 02:25:14 EDT
freerdp-2.0.0-28.20170623git9904c32.fc26, remmina-1.2.0-0.37.20170622git7e82138.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-294ac891a3
Comment 17 Fedora Update System 2017-07-05 22:22:06 EDT
freerdp-2.0.0-28.20170623git9904c32.fc25, remmina-1.2.0-0.37.20170622git7e82138.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2017-07-07 18:59:13 EDT
freerdp-2.0.0-28.20170623git9904c32.fc26, remmina-1.2.0-0.37.20170622git7e82138.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.